# References

## VehicleCharacteristics <a href="#vehiculecharacteristics" id="vehiculecharacteristics"></a>

<table><thead><tr><th width="190.20052083333331">Field</th><th width="117.234375">Type</th><th>Description</th></tr></thead><tbody><tr><td>brand</td><td><code>string</code></td><td>Vehicle brand</td></tr><tr><td>model</td><td><code>string</code></td><td>Vehicle model</td></tr><tr><td>version</td><td><code>number</code></td><td>Model version</td></tr><tr><td>year</td><td><code>number</code></td><td>Vehicle year</td></tr><tr><td>typeIndex</td><td><code>integer</code></td><td>​<a href="https://docs.drivequant.com/backend/vehicle/references#vehicle-body-type">Vehicle body type</a>​</td></tr><tr><td>engineIndex</td><td><code>integer</code></td><td>​<a href="https://docs.drivequant.com/backend/vehicle/references#engine-type">Engine type</a>​</td></tr><tr><td>power</td><td><code>number</code></td><td><p>Vehicle power in hp.</p><p>If needed, the engine power in kW can be converted to hp with the following formula: <span class="math">P [hp] = P [kW] / 0.7355</span> </p></td></tr><tr><td>mass</td><td><code>number</code></td><td>Vehicle mass (in kg)</td></tr><tr><td>engineDisplacement</td><td><code>number</code></td><td>Engine displacement (in L)</td></tr><tr><td>gearboxIndex</td><td><code>integer</code></td><td>​<a href="https://docs.drivequant.com/backend/vehicle/references#gearbox-type">Gearbox type</a>​</td></tr><tr><td>autoGearboxNumber</td><td><code>integer</code></td><td><p>Number of gear ratios for the automatic gearbox. </p><p>This parameter is used only if <code>carGearboxIndex</code> is set to 1</p></td></tr><tr><td>consumption</td><td><code>number</code></td><td>Combined fuel consumption measured during the New European Driving Cycle (NEDC) (in L/100km)</td></tr><tr><td>frontTireSize</td><td><code>string</code></td><td>Front tire size<br><em>Format: {width}/{aspect ratio}/{rim diameter}</em></td></tr><tr><td>rearTireSize</td><td><code>string</code></td><td>Rear tire size<br><em>Format: {width}/{aspect ratio}/{rim diameter}</em></td></tr><tr><td>length</td><td><code>number</code></td><td>Vehicle length (in m)</td></tr><tr><td>width</td><td><code>number</code></td><td>Vehicle width (in m)</td></tr><tr><td>height</td><td><code>number</code></td><td>Vehicle height (in m)</td></tr><tr><td>driveWheels</td><td><code>integer</code></td><td>​<a href="https://docs.drivequant.com/backend/vehicle/references#drive-wheels-type">Drive wheels type</a>​</td></tr><tr><td>engineCylinderNb</td><td><code>integer</code></td><td>Number of cylinders</td></tr></tbody></table>

## Vehicle body type

| Value | Type  | Description        |
| ----- | ----- | ------------------ |
| 1     | Car   | Compact            |
| 2     | Car   | Sedan              |
| 3     | Car   | Luxury vehicle     |
| 4     | Car   | Estate car         |
| 5     | Car   | Minivan            |
| 6     | Car   | 4x4, SUV           |
| 7     | Car   | Sports car         |
| 8     | Car   | Convertible        |
| 9     | Car   | Commercial vehicle |
| 200   | Truck | 2-axle trailer     |
| 201   | Truck | 3-axle trailer     |
| 202   | Truck | 4-axle trailer     |
| 203   | Truck | 2-axle tractor     |
| 204   | Truck | 3-axle tractor     |

## Engine type

| Value | Description                 |
| ----- | --------------------------- |
| 1     | Gasoline                    |
| 2     | Diesel                      |
| 3     | Electric vehicle            |
| 4     | Gasoline-electric hybrid    |
| 5     | Diesel-electric hybrid      |
| 6     | Biofuel                     |
| 7     | Bi-fuel gasoline bioethanol |
| 8     | Dual-fuel gasoline NGV      |
| 9     | Dual-fuel gasoline LPG      |
| 10    | Not available               |
| 11    | Plug-in gasoline hybrid     |
| 12    | Hydrogen                    |

## Gearbox type

| Value | Description    |
| ----- | -------------- |
| 1     | Automatic      |
| 2     | Manual 5-speed |
| 3     | Manual 6-speed |
| 4     | Manual 7-speed |
| 5     | Manual 8-speed |

## Drive wheels type

| Value | Description       |
| ----- | ----------------- |
| 0     | Front-wheel drive |
| 1     | Rear-wheel drive  |
| 2     | Four-wheel drive  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.drivequant.com/backend/vehicle/references.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
